This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 856043 - Translation Memory Merge - enhancement and bug fix
Translation Memory Merge - enhancement and bug fix
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 1.7
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 00:30 EDT by Patrick Huang
Modified: 2012-11-29 18:29 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.7.3-SNAPSHOT (20120912-0829)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 18:29:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-09-11 00:30:38 EDT
Description of problem:
RFE: Translation memory merge only works on untranslated text at the moment. It should also work on fuzzy translation if it can reuse an approved translation.
Bug: There are some occasion that there are TM available and it's above TM merge threshold but the auto-fill doesn't happen.

Version-Release number of selected component (if applicable):
1.7.2

How reproducible:
The bug is not always reproduceable. 

Steps to Reproduce:
1. push aeolus-conductor project version 1.0.1 into zanata with mvn zanata:push -Dzanata-pushTrans
2. push aeolus-conductor project version 1.1.0 into zanata with just mvn zanata:push
3. Find some text in version 1.1.0 that has 100% match TM (known text "Administration") 
4. Run TM merge with "don't care" option on different docId/msgCtx

  
Actual results:
text "Administration" is not auto translated by TM merge.

Expected results:
Administration should have been filled as approved.

Additional info:
Fuzzy translation is also possible to be auto translated by TM merge now if and only if TM merge can find an approved translation to be used.
Comment 2 Ding-Yi Chen 2012-09-11 22:06:01 EDT
VERIFIED with Zanata version 1.7.3-SNAPSHOT (20120912-0829)

Note You need to log in before you can comment on or make changes to this bug.